tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Clark Wright <cwri...@liquidmachines.com>
Subject Struts, JSP 2.0 and Jasper2 compiler/code generation error
Date Tue, 13 Sep 2005 14:14:50 GMT

I am running into a class hierarchy mismatch with taglibs and jasper2 out 
of tomcat 5.5 and precompiling jsp pages built with the struts taglibs.

I have:
Jboss AS 4.0.2
Tomcat 5.5 (bundled)
Struts 1.2.4

The error I am getting at compile time is:

[javac] 
F:\Sandboxes\Projects\rainier-1\cudgel\tmp\jsp-java\com\lqmi\admin\contact_jsp.java:119:
  _jspx_meth_html_link_0(javax.servlet.jsp.tagext.JspTag,javax.servlet.jsp.PageContext) 

in com.lqmi.admin.contact_jsp
cannot be applied to 
(org.apache.struts.taglib.html.HtmlTag,javax.servlet.jsp.PageContext)

The issue is that JBoss AS 4/Tomcat 5.5 is conforming to JSP 2.0.
Struts confirms to JSP 1.x.

In 2.0, a new base interface is defined (JspTag) for all tag classes, and 
that is causing the compile error.

Has anyone run into this, and if so, what is the work around?

Thank you.

- clark.  


---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-user-help@jakarta.apache.org


Mime
View raw message